Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS 32bits

1. Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS 32bits

Henrique Correa Costa e Silva
henriqueccs

(usa Ubuntu)

Enviado em 22/01/2020 - 09:12h

A última versão do samba para versão 14.04 LTS do Ubuntu está com um BUG. Ele acaba gerando várias conexões para o mesmo PC.

Por exemplo o PC1 cria várias conexões de entrada no Windows10. Como o Win10 só suporta 20 conexões os outros computadores não conseguem mapear a pasta.

Já efetuei diversas tentativas porém não consigo instalar uma versão mais recente ou anterior do Samba.

Estou utilizando a versão Samba 2:4.3.11+dfs

Essa é a linha que eu tenho no /ETC/FSTAB

\\192.168.137.101\trncentr /mnt/pbm/ cifs     vers=2.0,username=USUARIO,password=SENHA,user,dir_mode=0777,file_mode=0777 0 0  


Imagem de como fica o compartilhamento no Win10
https://ibb.co/XzK6Y04

Preciso que cada máquina crie somente 1 conexão(tenho outra rede com a versão anterior do Ubuntu que funciona certinho).


Utilizo Ubuntu 14.4 LTS 32bits



  


2. Re: Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS 32bits

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 22/01/2020 - 18:34h

v se te serve

sudo apt purge samba && apt autoremove
wget http://archive.ubuntu.com/ubuntu/pool/main/s/samba/samba_4.1.6+dfsg-1ubuntu2_amd64.deb
sudo dpkg -i samba_4.1.6+dfsg-1ubuntu2_amd64.deb


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




3. Re: Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS

Perfil removido
removido

(usa Nenhuma)

Enviado em 22/01/2020 - 18:40h

Se a dica do rmauricio não te adiantar, o melhor eh vc atualizar esse sistema operacional.

Essa versão do Ubuntu está morta e vc só vai arranjar outros novos problemas..

Ubuntu 14.04 LTS reached end of life on April 30, 2019



4. Re: Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS 32bits

Henrique Correa Costa e Silva
henriqueccs

(usa Ubuntu)

Enviado em 22/01/2020 - 19:00h

Mauriciodez escreveu:

v se te serve

sudo apt purge samba && apt autoremove
wget http://archive.ubuntu.com/ubuntu/pool/main/s/samba/samba_4.1.6+dfsg-1ubuntu2_amd64.deb
sudo dpkg -i samba_4.1.6+dfsg-1ubuntu2_amd64.deb


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------





Esse é pra 64bits correto!? Teria o nome do pacote para 32bits?



5. Re: Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS 32bits

Henrique Correa Costa e Silva
henriqueccs

(usa Ubuntu)

Enviado em 22/01/2020 - 19:03h

marimbondo2 escreveu:

Se a dica do rmauricio não te adiantar, o melhor eh vc atualizar esse sistema operacional.
Essa versão do Ubuntu está morta e vc só vao arranjar outros problemas..

Ubuntu 14.04 LTS reaches end of life on April 30, 2019, fi





Infelizmente foge da minha alçada (questão de homologação de software).

Utilizo o Ubuntu 14.4 LTS e tem que ser de 32bits. Se eu pudesse já estaria usando a Ubuntu 19.


6. Re: Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS 32bits

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 22/01/2020 - 19:07h


henriqueccs escreveu:
Teria o nome do pacote para 32bits?


samba_4.1.6+dfsg-1ubuntu2_i386.deb

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




7. Re: Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS 32bits

Henrique Correa Costa e Silva
henriqueccs

(usa Ubuntu)

Enviado em 23/01/2020 - 09:33h

Mauriciodez escreveu:


henriqueccs escreveu:
Teria o nome do pacote para 32bits?


samba_4.1.6+dfsg-1ubuntu2_i386.deb

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------





Executei o comando conforme orientado. Vou colocar as imagens abaixo. Tive que remover mais coisa pra nova instalação ser "do zero".


COMANDO DPKG -L
https://ibb.co/hYqZRng

REMOVE
https://ibb.co/j3kG8bm

REMOVE-SMBCLIENT
https://ibb.co/brWcqHj

REMOVE-SAMBA-COMMON
https://ibb.co/316xbBQ

REMOVE-SAMBA-LIBS
https://ibb.co/GTCpJhX

DEPENDENCIAS
https://ibb.co/pR5YqK0

Como podem ver na última imagem quando vou realizar a instalar da versão está dizendo que depende de outros pacote.

Utilizei o comando apt-get update => sem resultados (Não baixou nada)

Utilizei o comando apt-get upgrade => Apresentou que eu tinha informações desencontradas e recomendou a utilização do comando " apt-get -f install"

APT-GET -F INSTALL
https://ibb.co/tKcm2v7
https://ibb.co/rtY8tLL

Ao tentar instalar novamente apresenta erro de dependências porém menos que anteriormente.

DEPENDENCIAS_2
https://ibb.co/f2ppR3Q


Não sei se conseguir ser claro, tentei explicar da melhor forma.

Agora não sei como instalar esse dependências...
Tô com medo de instalar manualmente(APT-GET) as dependências como "samba-common" ele pegar uma versão diferente da que eu quero instalar no caso a 4.1.6



8. Re: Instalar versão anterior ou posterior do Samba 2:4.3.11+dfs no Ubuntu 14.04 LTS 32bits

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 24/01/2020 - 20:17h


henriqueccs escreveu:
COMANDO DPKG -L
https://ibb.co/hYqZRng


jovem ... o comando é com i de inocente e não com éle.

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts